version-update:
    script:
        - export PATH=/home/$USER/.pyenv/bin:$PATH
        - eval "$(pyenv init -)"
        - eval "$(pyenv init --path)"
        - eval "$(pyenv virtualenv-init -)"
        - pyenv activate py310
        - pip install semver
        - pip install python-gitlab
        - python /scratch/version-update.py
    only:
        - master
    tags:
        - shakti-runner